using System;

internal sealed class Delegate664 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate664 delegate664_1)
	{
		return delegate664_1(object_0);
	}

	public extern Delegate664(object object_0, IntPtr intptr_0);

	static Delegate664()
	{
		Class10.smethod_13(typeof(Delegate664).TypeHandle);
	}

	internal static Delegate664 delegate664_0;
}
